#version 330
uniform mat4 localToWorld;
uniform mat4 worldToView;
uniform mat4 viewToProjection;
uniform uint globalSeconds;
uniform uint globalMicroseconds;

uniform vec4 baseColor;
in vec4 vertex;
out vec4 frontColor;
in vec2 texcoord;
out vec2 texcoord_out;
out float time;

void main()
{
	frontColor = baseColor;
	gl_Position = viewToProjection * worldToView * localToWorld * vertex;

	uint seconds = globalSeconds % 10u;
	time = float(seconds) + float(globalMicroseconds)/1000000.0;


	texcoord_out = texcoord;
}


