float saturate(in float value)
{
	return clamp(value, 0.0, 1.0);
}

vec3 saturate(in vec3 value)
{
	return clamp(value, vec3(0.0), vec3(1.0));
}

vec3 shade(vec3 color, out vec3 linearColor,
		vec3 N, vec3 L, vec3 V, vec3 H, float illuminated,
		float specular, float rimSpecular, float roughness, float specRoughness,
		float subsurface, float clearcoat, vec3 fogColor, float fogAmt, bool doPointLights)
{
	vec3 directionalColor = (lightSource[0].diffuse.rgb * dot(N,L) * illuminated);
	vec3 ambientColor = lightSource[0].ambient.rgb;

	directionalColor *= (1.f/8.f);
	ambientColor *= (1.f/2.f);

	vec3 result = color * (directionalColor + ambientColor);
	result = mix( result, fogColor, fogAmt );

	return result;
}

