// based upon an answer here:
// https://gamedev.stackexchange.com/questions/92015/optimized-linear-to-srgb-glsl
void sRGB2Linear( inout vec3 a )
{
	bvec3 cutoff = lessThan(a, vec3(0.04045));
    vec3 higher = pow((a + vec3(0.055))/vec3(1.055), vec3(2.4));
    vec3 lower = a/vec3(12.92);

    a.rgb = mix(higher, lower, cutoff);
	// a.rgb *= a.rgb;
}

void Linear2sRGB( inout vec3 a )
{
	bvec3 cutoff = lessThan(a, vec3(0.0031308));
    vec3 higher = vec3(1.055)*pow(a, vec3(1.0/2.4)) - vec3(0.055);
    vec3 lower = a * vec3(12.92);

    a.rgb = mix(higher, lower, cutoff);
	// a.rgb = sqrt(a.rgb);
}


