#version 330
uniform bool glow;
uniform float alpha = 1.0;
uniform float lineWidth;
uniform float cellSize;
uniform vec3 origin;
uniform vec4 lineColor;

in vec4 frontColor;
out vec4 fragColor[2];

in vec4 worldPosition;

float grid(float inVal)
{
	float distanceFromGrid = mod( inVal, cellSize );
	if ( distanceFromGrid > (0.5 * cellSize) )
		distanceFromGrid = cellSize - distanceFromGrid;

	return smoothstep( 1.5 * lineWidth, 0.5f * lineWidth, distanceFromGrid );
}

void main(void)
{
	vec3 originPosition = worldPosition.xyz - origin;
	vec4 color = frontColor;
	float gridAmt = max( grid(originPosition.x), grid(originPosition.z) );

	if ( gridAmt < 0.1 )
		discard;

	vec3 finalColor = lineColor.rgb;

	fragColor[0].rgba = vec4(finalColor, lineColor.a * gridAmt * alpha * gridAmt * 0.5);
	fragColor[1].rgba = vec4(finalColor, lineColor.a * gridAmt * alpha * gridAmt * 0.5);
}





